Právě je 27 čer 2019 01:55

Všechny časy jsou v UTC + 1 hodina [ Letní čas ]




Odeslat nové téma Odpovědět na téma  [ Příspěvků: 9 ] 
Autor Zpráva
 Předmět příspěvku: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 23 bře 2015 14:29 
C4 zákazník

Registrován:
23 bře 2015 13:51
Příspěvky:
1
Dobrý den, chtěla bych se zeptat, zda existuje způsob migrace z joomla 2.5 na joomla 3.x bez využití jUpgradePro, který je jistě kvalitním nástrojem, ale nyní je zpoplatněn 49 dolary?

Prováděla jsem migraci z 1.5 na 2.5 a stránky sice fungují, ale vyskytlo se mi tam dost chyb, které mi znemožňují provádět určitou část administrace. Než se ale věnovat opravám těchto chyb, kterých je erorlog plný, přijde mi účelnější už upgrade na joomla 3.x.

Díky za odpověď.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 24 bře 2015 13:18 
C4 podpora
C4 podpora

Registrován:
30 čer 2009 09:14
Příspěvky:
7146
Dobrý den,

pro migraci z verze 2.5 na novou verzi 3.x není nutné použít nějaký další nástroj, umožňuje ji přímo aplikace Joomla 2.5. Na stránce Joomla 2.5 to 3.x Step by Step Migration naleznete oficiální návod v angličtině.

Doporučuji si migraci nejdříve vyzkoušet na testovací kopii stránek. Takže pomocí FTP klienta si zkopírujte instalaci aplikace Joomla buď do nějaké podsložky, nebo na nový testovací web, který si můžete založit v administračním systému Vaší domény v sekci IV. Weby. Následně si vytvořte kopii stávající databáze - viz PhpMyAdmin - Export databáze a PhpMyAdmin - Import databáze (příp. Adminer - Export databáze a Adminer - Import databáze). A pomocí návodu Joomla 2.5 - Konfigurační soubor si na testovací instalaci upravte připojení k databázi a cestu k adresáři s logy a dočasnému adresáři.

Před spuštěním migrace musíte stávající instalaci aplikace Joomla 2.5 zaktualizovat na poslední verzi (aktuálně 2.5.28). Pokud tedy používáte starší verzi, tak standardně v administraci aplikace v sekci Komponenty > Aktualizace Joomly! proveďte aktualizaci. Následně přejděte do sekce Rozšíření > Správce rozšíření na záložku Databáze a zkontrolujte, jestli je aktuální struktura tabulek. A na záložce Správa ověřte poslední verze všech rozšíření. Pokud nějaké rozšíření není kompatibilní s novou verzí 3.x, tak ho odinstalujte. V poslední řadě také ověřte kompatibilitu stávající šablony s novou verzí aplikace Joomla.

Vše máte připraveno a můžete se pustit do aktualizace/migrace na novou verzi Joomla 3.x. Přejděte do sekce Komponenty > Aktualizace Joomly! a vpravo nahoře klikněte na tlačítko Možnosti. Na záložce Aktualizovat zdroj vyberte v rozbalovacím seznamu Aktualizační server možnost Krátkodobá podpora a potvrďte změnu tlačítkem Uložit a Zavřít. Na stránce se Vám zobrazí okno s informací o nalezené aktualizaci. V poli Poslední verze Joomly! byste měl vidět aktuálně poslední verzi aplikace Joomla 3.x.x. Takže nyní stačí spustit proces tlačítkem Instalovat aktualizace.

_________________
Radek Plašil
Webhosting C4
https://www.c4.cz/


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 10 bře 2016 09:41 
C4 zákazník

Registrován:
08 srp 2011 14:30
Příspěvky:
4
Dobrý den, využil jsem postup pro otestování upgrade, protože jsem nejprve měl problém s aktualizací z Joomla 2.5.27 na 2.5.28 (nejprve se nenabízela, pak chybová hláška Update::Extension:Could not open...update.joomla.org... , nakonec jsem to obešel ruční instalací).
Teď mám verzi 2.5.28, když v Joomla update zvolím Short Term Support tak hlásí chybu:

Update: :Extension: Could not open https://update.joomla.org/core/sts/extension_sts.xml
We can't install the update to 3.4.8 as your host doesn't support the minimum requirements for Joomla 3.4.8 and there is no alternative available.

Manuální instalace aktualizace (naštěstí na zkušební verzi webu) dopadla špatně. Minimum requirements podle mě splňuje. Nepodařilo se mi uplně zkontrolovat a vyřešit aktuálnost všech extensions (používám asi jen dvě běžně rozšířené).


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 10 bře 2016 11:11 
C4 podpora
C4 podpora

Registrován:
30 čer 2009 09:14
Příspěvky:
7146
Dobrý den,

spojení s aktualizačním serverem vyžaduje knihovnu OpenSSL, takže pravděpodobně ji nemáte aktivní. O aktivaci pro Váš web stačí požádat standardně přes "Formulář na autorizovaný požadavek" z administračního systému domény (příp. na podpora@c4.cz). Pak Vám bude aktualizace bez problému fungovat.

_________________
Radek Plašil
Webhosting C4
https://www.c4.cz/


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 29 říj 2016 12:07 
C4 zákazník

Registrován:
02 led 2015 09:00
Příspěvky:
14
Dobrý den,

udělala jsem všechno, co je napsáno v tomto vláknu. Nechala si i aktivovat knihovnu OpenSSL, ale bohužel se mi aktualizace po označení Krátkodobé podpory a uložení vůbec nenabídne. Můžete mi, prosím, poradit, kde je zakopaný pes? Děkuji.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 29 říj 2016 15:41 
C4 zákazník

Registrován:
02 led 2015 09:00
Příspěvky:
14
Už jsem pročetla kde co. Vyzkoušela ruční aktualizaci přes správce rozšíření a dostalo se mi pouze hlášky: nelze najít soubor XML nastavené, což nechápu, protože se snažím nainstalovat balíček z oficiálních stránek.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 29 říj 2016 23:48 
C4 zákazník

Registrován:
02 led 2015 09:00
Příspěvky:
14
Momentálně se mi sice již nabídka k aktualizaci zobrazí, nicméně ta se zastaví na 86,3 % a objeví se hláška: Fatal error: Call to undefined method Joomla\Registry\Registry::getValue() in /data/www/ainny.cz/migrace.ainny.cz/plugins/system/cdcaptcha/cdcaptcha.php on line 724

Při ruční instalaci se nezměnilo vůbec nic. Po dvou dnech zkoušení, mazání a znovu nahrávání zálohy začínám mít pocit, že zůstanu už navěky u původní verze. Protože zahodit dvouletou práci a začít s čistou instalací se mi opravdu nechce.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 31 říj 2016 10:29 
C4 zákazník

Registrován:
02 led 2015 09:00
Příspěvky:
14
Po třech dnech pokusů a omylů snad vyřešeno. Největším problémem u mě byly componenty "Phoca", když jsem je nechala povolené, hlásila administrace chybu. Když jsem je smazala, bylo to také špatně. Ve finále je stačilo zakázat stejně jako plugin Pamatuj si mě a cdcaptcha.
Zatím vše zkouším na záloze, ale zdá se, že už by neměl být problém.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: Joomla - Migrace z 2.5 na 3.x
PříspěvekNapsal: 02 lis 2016 16:57 
C4 podpora
C4 podpora

Registrován:
30 čer 2009 09:14
Příspěvky:
7146
Dobrý den,

s některými rozšířeními mohou být při aktualizaci problémy a je nutné ověřit proces migrace přímo u autora (viz sekce Assess Each Extension v oficiálním návodu). O deaktivaci pluginu "Pamatuj si mě" (resp. Remember me) se také píše v oficiálním návodu v sekci Going to Joomla! 3.x. Doufám, že vše již bude v pořádku. Pokud by nastal nějaký problém, tak neváhejte napsat.

_________________
Radek Plašil
Webhosting C4
https://www.c4.cz/


Nahoru
 Profil  
 
Zobrazit příspěvky za předchozí:  Seřadit podle  
Odeslat nové téma Odpovědět na téma  [ Příspěvků: 9 ] 

Všechny časy jsou v UTC + 1 hodina [ Letní čas ]


Kdo je online

Uživatelé procházející toto fórum: Žádní registrovaní uživatelé a 0 návštevníků


Nemůžete zakládat nová témata v tomto fóru
Nemůžete odpovídat v tomto fóru
Nemůžete upravovat své příspěvky v tomto fóru
Nemůžete mazat své příspěvky v tomto fóru
Nemůžete přikládat soubory v tomto fóru

Hledat:
Přejít na:  
cron
FTP Uploader
Staňte se naším zákazníkem!
Hledáme kolegy
Joomla partneři

Seznam všech partnerů

Joomla Hosting
Návody pro C4

© 2009-2019 ČESKÝ WEBHOSTING s.r.o. Kontaktní e-mail: forum@c4.cz
Diskuzní fórum využívá technologie: phpBB, phpBB-SEO.com, phpBB.cz